package com.flossom.common.core.mapper;

import java.util.List;

import com.flossom.common.core.domain.entity.SiteInfoTag;

/**
 * 站点与标签关联Mapper接口
 *
 * @author flossom
 * @date 2023-12-21
 */
public interface SiteInfoTagMapper
{
    /**
     * 查询站点与标签关联
     *
     * @param id 站点与标签关联主键
     * @return 站点与标签关联
     */
    public SiteInfoTag selectSiteInfoTagById(Long id);

    /**
     * 查询站点与标签关联列表
     *
     * @param siteInfoTag 站点与标签关联
     * @return 站点与标签关联集合
     */
    public List<SiteInfoTag> selectSiteInfoTagList(SiteInfoTag siteInfoTag);

    /**
     * 新增站点与标签关联
     *
     * @param siteInfoTag 站点与标签关联
     * @return 结果
     */
    public int insertSiteInfoTag(SiteInfoTag siteInfoTag);

    /**
     * 修改站点与标签关联
     *
     * @param siteInfoTag 站点与标签关联
     * @return 结果
     */
    public int updateSiteInfoTag(SiteInfoTag siteInfoTag);

    /**
     * 删除站点与标签关联
     *
     * @param id 站点与标签关联主键
     * @return 结果
     */
    public int deleteSiteInfoTagById(Long id);

    /**
     * 批量删除站点与标签关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSiteInfoTagByIds(Long[] ids);



    /**
     * 删除站点与标签关联
     *
     * @param id 站点与标签关联主键
     * @return 结果
     */
    public int deleteSiteInfoTagBySiteId(Long id);

    /**
     * 删除站点与标签关联
     *
     * @param tagId 站点与标签关联主键
     * @return 结果
     */
    public int deleteSiteInfoTagByTagId(Long tagId);
}
